import type { App } from 'vue';
import nsRadio from './radio.vue';
import nsRadioButton from './radio-button.vue';
import nsRadioGroup from './radio-group.vue';
import nsRadioApi from './radio-api.vue';

export const NsRadio = function (app: App) {
  app.component(nsRadio.name, nsRadio);
  app.component(nsRadioButton.name, nsRadioButton);
  app.component(nsRadioGroup.name, nsRadioGroup);
  app.component(nsRadioApi.name, nsRadioApi);
  return app;
};
